{{/* Add taxonomy prefix to title for "term" pages, and to items for "taxonomy" pages */}}
{{ $prefix := "#" }}
{{ $kind := .Page.Kind }}
<div class="page-list">
    <h1 class="page-list-title">
        {{ cond (eq $kind "term") $prefix "" }}{{.Title}}
    </h1>
    <div class="page-list-description">
        {{ .Content }}
    </div>
    <ul class="page-list-content">
        {{ range .Pages.GroupByDate "2006" "desc" }}
        <li class="page-list-content-block">
            <h3 class="page-list-content-block-left">
                {{ .Key }}
            </h3>
            <ul class="page-list-content-block-right">
                {{ $pfx := cond (eq $kind "taxonomy") $prefix "" }}
                {{ range .Pages }}
                <li class="page-list-content-block-right-item">
                    <a class="page-list-content-item" href="{{ .RelPermalink }}">
                        <span class="page-list-content-item-left">{{ $pfx }}{{ .Title }}</span>
                        <span class="page-list-content-item-right">{{ time.Format "Jan 02" .Date.UTC | humanize }}</span>
                    </a>
                </li>
                {{ end }}
            </ul>
        </li>
        {{ end }}
    </ul>
</div>